## hovercraft 2.6

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Hovercraft.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Hovercraft.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Hovercraft"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Hovercraft"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## hovercraft 2.0+dfsg

=== debian/changelog ===
hovercraft (2.0+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #775016).

 -- Daniel Stender <debian@danielstender.com>  Tue, 20 Oct 2015 13:02:29 +0200

=== debian/control ===
Source: hovercraft
Maintainer: Daniel Stender <debian@danielstender.com>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Section: misc
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python3,
               python3-pygments,
               python3-sphinx,
               python3-manuel,
               python3-setuptools,
               python3-svg.path,
               python3-lxml,
               python3-watchdog
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/hovercraft/trunk/
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/hovercraft/trunk/
Homepage: https://github.com/regebro/hovercraft/
X-Python3-Version: >= 3.2

Package: hovercraft
Architecture: all
Depends: python3-docutils,
         libjs-impress,
         ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends}
Description: generator for impress.js presentations from reStructuredText
 Hovercraft provides the convenience of reStructuredText together
 with the capability of impress.js for spectacular presentations.
 With that, slides for fancy presentations including pan, zooming,
 and even 3d rotating are written as reST sources and then get generated
 a into HTML output which a standard browser is capable to display.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck
export PYBUILD_NAME=hovercraft

DEBDATE := $(shell dpkg-parsechangelog -Sdate | date -u +%F -f -)

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
	# a hack to get the tests running w/o python-logo-master-v3-TM.png:
	ln -s $(CURDIR)/docs/examples/images/hovercraft_logo.png $(CURDIR)/hovercraft/tests/test_data/images/python-logo-master-v3-TM.png
	ln -s $(CURDIR)/docs/examples/images/hovercraft_logo.png $(CURDIR)/hovercraft/tests/test_data/maximal/images/python-logo-master-v3-TM.png
	dh_auto_test
	rm -vf $(CURDIR)/hovercraft/tests/test_data/images/python-logo-master-v3-TM.png
	rm -vf $(CURDIR)/hovercraft/tests/test_data/maximal/images/python-logo-master-v3-TM.png

override_dh_auto_install:
	python3 setup.py install --root=debian/hovercraft --install-layout=deb --install-lib=/usr/share/hovercraft --install-scripts=/usr/share/hovercraft
	# strip tests from binary, they're not running due to missing python-logo-master-v3-TM.png:
	find debian/hovercraft -type d -name tests -print | xargs /bin/rm -rf
	# use packaged impress.js instead of covenience code for binary:
	find debian/hovercraft -name impress.js -exec ln -sfv /usr/share/javascript/impress/impress.js '{}' \;

override_dh_installdocs:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -N -bhtml docs debian/hovercraft/usr/share/doc/hovercraft/html
	dh_installdocs
endif

override_dh_installman:
	PYTHONPATH=. sphinx-build -N -bman -D today_fmt="$(DEBDATE)" docs .pybuild
	dh_installman .pybuild/hovercraft.1

override_dh_compress:
	dh_compress -X.rst # save examples

## hovercraft 2.1

=== debian/changelog ===
hovercraft (2.1-1) unstable; urgency=medium

  * New upstream release (Closes: #813159).
  * deb/control:
    + put group in Maintainer field (unconfirmed group uploads).
    + updated maintainer email address.
    + added py.test to build-depends.
    + bumped Standards-Version to 3.9.7 (no changes needed).
    + use HTTPS for Vcs-Browser.
  * deb/copyright:
    + dropped Files-Excluded (targets removed upstream).
    + updated email address and copyright span.
  * deb/rules:
    + added empty override for dh_auto_build.
    + dropped hack for missing images in dh_auto_test (not needed anymore).
    + installed custom test args to test with py.test.
    + dropped check for nodocs in DEB_BUILD_OPTIONS (obsolete).
    + changed an info line.
  * deb/patches:
    + dropped fix-for-dfsg.diff (applied upstream).
    + improve-docs.diff: updated, fix path to examples.
  * Added DEP-8 tests.

 -- Daniel Stender <stender@debian.org>  Mon, 29 Feb 2016 20:30:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: hovercraft
-Maintainer: Daniel Stender <debian@danielstender.com>
-Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Uploaders: Daniel Stender <stender@debian.org>
 Section: misc
 Priority: optional
 Build-Depends: debhelper (>= 9),
@@ -12,9 +12,10 @@
                python3-setuptools,
                python3-svg.path,
                python3-lxml,
-               python3-watchdog
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/hovercraft/trunk/
+               python3-watchdog,
+               python3-pytest
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/hovercraft/trunk/
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/hovercraft/trunk/
 Homepage: https://github.com/regebro/hovercraft/
 X-Python3-Version: >= 3.2

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck
export PYBUILD_NAME=hovercraft

DEBDATE := $(shell dpkg-parsechangelog -Sdate | date -u +%F -f -)

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -Wd -m pytest -v -x" dh_auto_test

override_dh_auto_install:
	python3 setup.py install --root=debian/hovercraft --install-layout=deb --install-lib=/usr/share/hovercraft --install-scripts=/usr/share/hovercraft
	# strip tests from binary
	find debian/hovercraft -type d -name tests -print | xargs /bin/rm -rf
	# use packaged impress.js instead of covenience code for binary:
	find debian/hovercraft -name impress.js -exec ln -sfv /usr/share/javascript/impress/impress.js '{}' \;

override_dh_installdocs:
	PYTHONPATH=. sphinx-build -N -bhtml docs debian/hovercraft/usr/share/doc/hovercraft/html
	dh_installdocs

override_dh_installman:
	PYTHONPATH=. sphinx-build -N -bman -D today_fmt="$(DEBDATE)" docs .pybuild
	dh_installman .pybuild/hovercraft.1

override_dh_compress:
	dh_compress -X.rst # save examples

=== debian/tests/control ===
Tests: hovercraft
Depends: python3, python3-pygments, python3-docutils, python3-manuel, python3-svg.path, python3-lxml, python3-watchdog, python3-pytest

## hovercraft 2.6

=== debian/changelog ===
hovercraft (2.6-4ubuntu1) eoan; urgency=medium

  * d/p/lxml-4.4-test_parse.diff: fix test failures with lxml 4.4.1-1.

 -- Brian Murray <brian@ubuntu.com>  Tue, 03 Sep 2019 15:06:07 -0700

hovercraft (2.6-4) unstable; urgency=medium

  * Team upload
  * Simplify even more the debian/tests/control file,
    use @builddeps@ as test dependencies
  * Fix some copyright bad wildcards

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 28 Mar 2019 15:27:02 +0100

hovercraft (2.6-3) unstable; urgency=medium

  * Team upload
  * Add hovercraft and python3-setuptools
    to test dependencies Closes: #916477

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 28 Mar 2019 13:59:43 +0100

hovercraft (2.6-2) unstable; urgency=medium

  * Team upload.
  * autopkgtest: Test for all the supported python3 versions.
  * autopkgtest: Run the tests against the installed package.  Closes: #916477
  * d/rules: Run the tests against all the supported python3 versions.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 20 Dec 2018 14:09:39 +0100

hovercraft (2.6-1) unstable; urgency=medium

  * Team upload
  * New upstream version (Closes: #862094, #915179)

  [ Ondřej Nový 2018-02-27 ]
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol
  * d/control: Remove ancient X-Python3-Version field
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

 -- W. Martin Borgert <debacle@debian.org>  Thu, 13 Dec 2018 20:36:00 +0000

hovercraft (2.1-3) unstable; urgency=medium

  * Orphaning package:
    + deb/control: put Debian QA Group into Maintainers field,
      remove Uploaders.

 -- Daniel Stender <stender@debian.org>  Mon, 19 Jun 2017 11:55:23 +0200

hovercraft (2.1-2) unstable; urgency=medium

  * add test_parse-no-hardcoded-docutils.diff (Closes: #848034).
  * deb/control: bumped standards to 3.9.8 (no changes needed).

 -- Daniel Stender <stender@debian.org>  Sat, 17 Dec 2016 22:38:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: hovercraft
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Uploaders: Daniel Stender <stender@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Section: misc
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                dh-python,
-               python3,
+               python3-all,
                python3-pygments,
                python3-sphinx,
                python3-manuel,
                python3-setuptools,
                python3-svg.path,
-               python3-lxml,
+               python3-lxml (>= 4.4.1-1),
                python3-watchdog,
                python3-pytest
-Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/hovercraft/trunk/
-Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/hovercraft/trunk/
+Standards-Version: 3.9.8
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/python-team/applications/hovercraft
+Vcs-Git: https://salsa.debian.org/python-team/applications/hovercraft.git
 Homepage: https://github.com/regebro/hovercraft/
-X-Python3-Version: >= 3.2
 
 Package: hovercraft
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export PYBUILD_NAME=hovercraft

DEBDATE := $(shell dpkg-parsechangelog -Sdate | date -u +%F -f -)

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; for PY in $(shell py3versions -r); do \
		http_proxy='127.0.0.1:9' https_proxy='127.0.0.1:9' python3 setup.py test; \
	done
endif

override_dh_auto_install:
	python3 setup.py install --root=debian/hovercraft --install-layout=deb --install-lib=/usr/share/hovercraft --install-scripts=/usr/share/hovercraft
	# strip tests from binary
	find debian/hovercraft -type d -name tests -print | xargs /bin/rm -rf
	# use packaged impress.js instead of covenience code for binary:
	find debian/hovercraft -name impress.js -exec ln -sfv /usr/share/javascript/impress/impress.js '{}' \;

override_dh_installdocs:
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs debian/hovercraft/usr/share/doc/hovercraft/html
	dh_installdocs

override_dh_installman:
	PYTHONPATH=. python3 -m sphinx -N -bman -D today_fmt="$(DEBDATE)" docs .pybuild
	dh_installman .pybuild/hovercraft.1

override_dh_compress:
	dh_compress -X.rst # save examples

=== debian/tests/control ===
Tests: hovercraft
Depends: @, @builddeps@

## hovercraft 2.7~beta1

=== debian/changelog ===
hovercraft (2.7~beta1-1) unstable; urgency=medium

  * New upstream release 2.7~beta1.
    + Add support for python3.8.

  [ Boyuan Yang ]
  * debian/control:
    + Build-depend on python3-all:any.
    + Depend on libjs-impress (>= 1.0.0~).

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces.

 -- Boyuan Yang <byang@debian.org>  Wed, 20 Nov 2019 15:52:48 -0500

hovercraft (2.6-5) unstable; urgency=medium

  * Team upload.

  [ Boyuan Yang ]
  * debian/control:
    + Bump debhelper compat to v12.
    + Bump Standards-Version to 4.4.0.
    + Add myself in the uploaders list to suppress lintian error.
  * debian/patches: Add patch to fix CI test failure with the new
    lxml 4.4.1-1 (originally from Ubuntu hovercraft/2.6.4ubuntu1).
    (Closes: #939792)

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

 -- Boyuan Yang <byang@debian.org>  Thu, 03 Oct 2019 15:52:29 -0400

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: hovercraft
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Uploaders:
+ Boyuan Yang <byang@debian.org>,
 Section: misc
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
-               python3-all,
+               python3-all:any,
                python3-pygments,
                python3-sphinx,
                python3-manuel,
                python3-setuptools,
                python3-svg.path,
-               python3-lxml (>= 4.4.1-1),
+               python3-lxml (>= 4.4.1-1~),
                python3-watchdog,
-               python3-pytest
-Standards-Version: 3.9.8
+               python3-pytest,
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/applications/hovercraft
 Vcs-Git: https://salsa.debian.org/python-team/applications/hovercraft.git
@@ -23,7 +24,7 @@
 Package: hovercraft
 Architecture: all
 Depends: python3-docutils,
-         libjs-impress,
+         libjs-impress (>= 1.0.0~),
          ${misc:Depends},
          ${python3:Depends},
          ${sphinxdoc:Depends}

## hovercraft 2.7

=== Makefile ===
root_dir := $(shell dirname $(realpath $(lastword $(MAKEFILE_LIST))))

all: coverage flake

flake:
	flake8 hovercraft tests

coverage:
	coverage run setup.py test
	coverage html
	coverage report

test:
	python setup.py test

=== debian/changelog ===
hovercraft (2.7-10) unstable; urgency=medium

  * Team upload.
  * d/control: Put myself as uploader.
  * d/control: Update maintainer to Python Team. (Closes: #816511)

 -- Marcos Souza <marcosfas.dev@gmail.com>  Thu, 12 Jun 2025 21:26:28 -0300

hovercraft (2.7-9) unstable; urgency=medium

  * QA upload.
  * Trim autopkgtest deps

 -- Alexandre Detiste <tchet@debian.org>  Thu, 20 Feb 2025 23:11:23 +0100

hovercraft (2.7-8) unstable; urgency=medium

  * QA upload.
  * Remove runtime dependency on python3-setuptools, pkg_resources is enough.

 -- Alexandre Detiste <tchet@debian.org>  Mon, 27 Jan 2025 15:25:11 +0100

hovercraft (2.7-7) unstable; urgency=medium

  * QA upload.
  * Trim d/rules and rely more on pybuild magic (Closes: #1080275)

 -- Alexandre Detiste <tchet@debian.org>  Thu, 12 Sep 2024 13:19:33 +0200

hovercraft (2.7-6~deb12u1) bookworm; urgency=medium

  * QA upload.
  * Rebuild for bookworm.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 25 Mar 2024 21:54:54 +0100

hovercraft (2.7-6) unstable; urgency=medium

  * QA upload.
  * Add smoke test.
  * Add Depends: python3-setuptools.  (Closes: #1025655)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 19 Mar 2024 02:12:55 +0100

hovercraft (2.7-5) unstable; urgency=medium

  * QA upload.
  * Add patch for pygments 2.14

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 21 Jan 2023 10:49:30 +0100

hovercraft (2.7-4) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * QA Upload.
    Orphan package - see bug 816511.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 21:57:16 +0100

hovercraft (2.7-3) unstable; urgency=medium

  * QA upload.
  * debian/control: Apply "wrap-and-sort -abst".
  * debian/tests/control: Use "py3versions -s" instead.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
    + Drop check for DEB_BUILD_OPTIONS containing "nocheck", since debhelper now
      does this.
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.

 -- Boyuan Yang <byang@debian.org>  Fri, 18 Mar 2022 16:37:32 -0400

hovercraft (2.7-2) unstable; urgency=medium

  * debian/control
    - upgrade b-d on pygments to >= 2.7.1+dfsg-1~; Closes: #972658

 -- Sandro Tosi <morph@debian.org>  Sat, 24 Oct 2020 14:21:41 -0400

hovercraft (2.7-1) unstable; urgency=medium

  * New upstream release 2.7.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database.

  [ Boyuan Yang ]
  * debian/control: Bump Standards-Version to 4.5.0.
  * debian/patches: Refresh patches.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Sun, 18 Oct 2020 20:58:09 -0400

=== debian/control ===
Source: hovercraft
Section: misc
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Marcos Souza <marcosfas.dev@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-lxml (>= 4.4.1-1~),
 python3-manuel,
 python3-pygments (>= 2.7.1+dfsg-1~),
 python3-pytest,
 python3-setuptools,
 python3-sphinx,
 python3-svg.path,
 python3-watchdog,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/regebro/hovercraft/
Vcs-Browser: https://salsa.debian.org/python-team/packages/hovercraft
Vcs-Git: https://salsa.debian.org/python-team/packages/hovercraft.git

Package: hovercraft
Architecture: all
Depends:
 libjs-impress (>= 1.0.0~),
 python3-docutils,
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Description: generator for impress.js presentations from reStructuredText
 Hovercraft provides the convenience of reStructuredText together
 with the capability of impress.js for spectacular presentations.
 With that, slides for fancy presentations including pan, zooming,
 and even 3d rotating are written as reST sources and then get generated
 a into HTML output which a standard browser is capable to display.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export PYBUILD_NAME=hovercraft
export PYBUILD_INSTALL_ARGS=--install-scripts=/usr/share/hovercraft --install-lib=/usr/share/hovercraft
export PYBUILD_BEFORE_TEST=cp -r {dir}/tests/ {build_dir}/
export PYBUILD_TEST_ARGS=tests/test_*.py

DEBDATE := $(shell dpkg-parsechangelog -Sdate | date -u +%F -f -)

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
	PYTHONPATH=. dh_auto_test

execute_after_dh_auto_install:
	# use packaged impress.js instead of covenience code for binary:
	find debian/hovercraft -name impress.js -exec ln -sfv /usr/share/javascript/impress/impress.js '{}' \;

override_dh_installdocs:
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs debian/hovercraft/usr/share/doc/hovercraft/html
	dh_installdocs

override_dh_installman:
	PYTHONPATH=. python3 -m sphinx -N -bman -D today_fmt="$(DEBDATE)" docs .pybuild
	dh_installman .pybuild/hovercraft.1

override_dh_compress:
	dh_compress -X.rst # save examples

=== debian/tests/control ===
Tests: hovercraft
Depends:
 @,
 python3-all,
 python3-manuel,
 python3-pytest,

Test-Command: hovercraft --help
Features: test-name=hovercraft_--help
Depends:
 hovercraft,
Restrictions:
 superficial,

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,\
dversionmangle=s/\+dfsg\d*$//,\
repacksuffix=+dfsg \
https://pypi.debian.net/hovercraft/ \
hovercraft-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
